Initial import of automatic package maker

git-svn-id: https://sfml.svn.sourceforge.net/svnroot/sfml/trunk@1187 4e206d99-4929-0410-ac5d-dfc041789085
This commit is contained in:
ceylo 2009-07-22 23:49:17 +00:00
parent dceeb623d1
commit d79ddb0fe1
6 changed files with 597 additions and 0 deletions

10
build/xcode/dist/Lisez-moi.rtf vendored Normal file
View File

@ -0,0 +1,10 @@
{\rtf1\ansi\ansicpg1252\cocoartf949\cocoasubrtf460
{\fonttbl\f0\fswiss\fcharset0 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\paperw11900\paperh16840\margl1440\margr1440\vieww9000\viewh8400\viewkind0
\pard\tx566\tx1133\tx1700\tx2267\tx2834\tx3401\tx3968\tx4535\tx5102\tx5669\tx6236\tx6803\ql\qnatural\pardirnatural
\f0\fs24 \cf0 Pour installer et utiliser SFML avec votre compilateur pr\'e9f\'e9r\'e9, rendez-vous sur la page des tutoriels : \
\
http://www.sfml-dev.org/tutorials/index-fr.php \
}

68
build/xcode/dist/Notes de version.rtf vendored Normal file
View File

@ -0,0 +1,68 @@
{\rtf1\ansi\ansicpg1252\cocoartf949\cocoasubrtf460
{\fonttbl\f0\fswiss\fcharset0 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\paperw11900\paperh16840\margl1440\margr1440\vieww11320\viewh10660\viewkind0
\pard\tx566\tx1133\tx1700\tx2267\tx2834\tx3401\tx3968\tx4535\tx5102\tx5669\tx6236\tx6803\ri1080\ql\qnatural\pardirnatural
\f0\fs24 \cf0 \
\b\fs28 Notes de version pour SFML 1.5
\b0\fs24 \
\
Voici un r\'e9sum\'e9 de ce qui reste \'e0 effectuer, des probl\'e8mes actuellement connus ainsi que quelques informations techniques afin de tirer le meilleur partir du portage pour Mac OS X.\
\
\
\b \'c0 faire :
\b0 \
- la gestion des joysticks\
\
\
\b Probl\'e8mes connus :
\b0 \
- certaines touches ne sont pas ind\'e9pendantes de la configuration du clavier (voici les touches que vous pouvez utiliser sans risque : '*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz\{|\}~ ). Seuls les \'e9v\'e9nements sf::Event::KeyPressed et sf::Event::KeyReleased sont concern\'e9s par ce probl\'e8me, pas les \'e9v\'e9nements sf::Event::TextEntered.\
- les touches Control, Option (Alt), Shift et Command ne produisent pas d'\'e9v\'e9nement de r\'e9p\'e9tition lorsqu'elles sont maintenues enfonc\'e9es\
- \'e9tant donn\'e9 qu'un clavier Mac est diff\'e9rent de celui d'un PC, certains codes sf::Key ne sont pas utilis\'e9s, et d'autres sont manquants\
- l'anticr\'e9n\'e9lage OpenGL est d\'e9sactiv\'e9\
\
\
\b\fs26 Notes techniques :
\b0\fs24 \
\
\b Les touches Control, Option [...] :\
\b0 Mac OS X avertit l'application uniquement lorsque l'\'e9tat d'une de ces touches particuli\'e8res est modifi\'e9, pas lorsqu'elles sont maintenues enfonc\'e9es. De plus, ces touches sont consid\'e9r\'e9es comme des "modifiers" et ne doivent donc pas \'eatre utilis\'e9es seules comme raccourci pour d\'e9clencher une action (ex: Control + E convient mais pas Control tout seul).\
\
\
\b Ind\'e9pendance vis \'e0 vis des configurations de claviers :
\b0 \
Lorsque SFML obtient un \'e9v\'e9nement clavier, elle obtient un code correspondant \'e0 cette touche. Cependant ce code repr\'e9sente la touche elle-m\'eame, et non pas ce qui est imprim\'e9 sur votre clavier, donc des claviers anglais et fran\'e7ais produiront \'97 en consid\'e9rant que vous pressez la touche plac\'e9e exactement au m\'eame endroit \'96 le m\'eame code, quelque soit la configuration de clavier que vous utilisez. Afin de contourner en partie le probl\'e8me, certaines touches sont devin\'e9es \'e0 partir du champ "text" de l'\'e9v\'e9nement et non pas \'e0 partir du code de la touche. Ce n'est pas une solution pleinement satisfaisante mais je n'ai trouv\'e9 aucune meilleure solution jusqu'\'e0 ce jour (davantage de recherches me sont n\'e9cessaires). Si vous voulez \'eatre s\'fbr que l'\'e9v\'e9nement re\'e7u est bien le caract\'e8re que vous voulez, vous devriez uniquement utiliser les \'e9v\'e9nements sf::TextEntered (non concern\'e9s par le probl\'e8me).\
Notez qu'\'e9tant donn\'e9 que le code repr\'e9sente les touches du clavier anglais, les utilisateurs anglophones n'ont pas \'e0 se pr\'e9occuper de ce probl\'e8me.\
\
\b Le chargement des ressources :\
\b0 1. Lorsqu'une application SFML est lanc\'e9e, elle d\'e9signe le dossier Resources (<votre application.app>/Contents/Resources) comme \'e9tant le r\'e9pertoire actuel de travail. Si votre logiciel n'est pas une application paquet, SFML d\'e9signera le dossier contenant votre programme comme \'e9tant le r\'e9pertoire de travail. Par cons\'e9quent, si vous souhaitez charger des ressources, vous pouvez utiliser sans risque des adresses relatives aux dossiers indiqu\'e9s ci-dessus.\
\
2. La d\'e9signation du r\'e9pertoire de travail est effectu\'e9e au moment du chargement du programme avant d'entrer dans la fonction main(). Cependant, si vous d\'e9finissez des variables globales (comme par exemple des objets de type sf::Image) et que vous essayez de charger l'image au moment de la construction de l'objet (donc par l'interm\'e9diaire du constructeur), rien ne vous garantie que le r\'e9pertoire de travail est d\'e9j\'e0 valide. Vous devez donc charger toutes vos ressources apr\'e8s \'eatre entr\'e9 dans la fonction main().\
\
\b \
Les attributs du contexte OpenGL :\
\b0 SFML utilises le partage de contexte OpenGL afin d'\'e9viter de charger plusieurs fois la m\'eame ressource, m\'eame si vous avez plusieurs fen\'eatres SFML. Cela permet d'\'e9conomiser \'e0 la fois de la m\'e9moire et tu temps de traitement, mais cela implique aussi une restriction importante (qui semble \'eatre propre \'e0 Mac OS X) : les contextes partag\'e9s doivent avoir des attributs compatibles. Un point sur lequel je vais m'attarger est le niveau d'anticr\'e9n\'e9lage : vous ne pouvez pas utilisez diff\'e9rents contextes partag\'e9s entre eux avec un niveau d'anticr\'e9n\'e9lage diff\'e9rent. Il faut noter que SFML d\'e9finit un contexte globale partag\'e9, donc si je choisis de ne pas utiliser d'anticr\'e9n\'e9lage pour ce contexte, l'anticr\'e9n\'e9lage ne pourra \'eatre utilis\'e9 pour aucun autre contexte OpenGL (et fen\'eatre SFML). D'un autre c\'f4t\'e9, je pourrais d\'e9finir 2 (ou n'importe quelle autre valeur) niveaux d'anticr\'e9n\'e9lage, mais tous les autres contextes seraient oblig\'e9s d'utiliser aussi le m\'eame niveau de lissage. \'c9tant donn\'e9 que l'anticr\'e9n\'e9lage n'est pas une op\'e9ration l\'e9g\'e8re pour l'unit\'e9 de calcul graphique, il a \'e9t\'e9 d\'e9sactiv\'e9. \'c9carter cette fonctionnalit\'e9 me semble \'eatre une meilleure solution que forcer l'utiliser \'e0 l'utiliser.\
En ce qui concerne les autres attributs, il semblerait qu'ils puissent \'eatre diff\'e9rents. Je ne les ai pas tous test\'e9s mais j'ai pu constater que certains \'e9taient automatiquement modifi\'e9s \'e0 cause de valeurs choisies trop hautes.\
\
\
\b OpenAL :\
\b0 Vous pouvez remarquer la pr\'e9sence du framework OpenAL dans l'image de disque, mais vous savez aussi peut-\'eatre que Mac OS X inclut d\'e9j\'e0 OpenAL (voir /Syst\'e8me/Biblioth\'e8que/Frameworks). Ce framework a \'e9t\'e9 ajout\'e9 au paquet afin de corriger des probl\'e8mes caus\'e9s par celui pr\'e9sent par d\'e9faut. En cons\'e9quence, il est inutile de fournir ce framework si vous n'avez pas l'intention de distribuer votre application pour Mac OS X 10.4.\
\
Pour toutes les questions, rendez-vous sur le forum SFML : http://www.sfml-dev.org/forum-fr/\
\
}

10
build/xcode/dist/Read Me.rtf vendored Normal file
View File

@ -0,0 +1,10 @@
{\rtf1\ansi\ansicpg1252\cocoartf949\cocoasubrtf460
{\fonttbl\f0\fswiss\fcharset0 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\paperw11900\paperh16840\margl1440\margr1440\vieww9000\viewh8400\viewkind0
\pard\tx566\tx1133\tx1700\tx2267\tx2834\tx3401\tx3968\tx4535\tx5102\tx5669\tx6236\tx6803\ql\qnatural\pardirnatural
\f0\fs24 \cf0 To install and use SFML with your favorite compiler, go to the tutorials web page : \
\
http://www.sfml-dev.org/tutorials/ \
}

73
build/xcode/dist/Release Notes.rtf vendored Normal file
View File

@ -0,0 +1,73 @@
{\rtf1\ansi\ansicpg1252\cocoartf949\cocoasubrtf460
{\fonttbl\f0\fswiss\fcharset0 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\paperw11900\paperh16840\margl1440\margr1440\vieww11320\viewh10660\viewkind0
\pard\tx566\tx1133\tx1700\tx2267\tx2834\tx3401\tx3968\tx4535\tx5102\tx5669\tx6236\tx6803\ri1080\ql\qnatural\pardirnatural
\f0\fs24 \cf0 \
\b\fs28 SFML 1.5 Release Notes
\b0\fs24 \
\
Here is a summary of what needs to be done, the currently known problems and some technical informations in order to make the best of the Mac OS X port.\
\
\
\b What is still to be done:
\b0 \
- joystick handling\
\
\
\b Known issues:
\b0 \
- not all of the keys are keyboard layout independent (the "safe" characters are: '*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz\{|\}~ ). Only sf::Event::KeyPressed and sf::Event::KeyReleased events are affected. This issue does not concern sf::Event::TextEntered events.\
- the Control, Option (Alt), Shift and Command keys do not produce repeated events when held\
- since a Mac keyboard is different from a PC's one, some sf::Key codes are not used, and some other are missing\
- OpenGL antialiasing is disabled\
\
\
\b\fs26 Technical notes:
\b0\fs24 \
\
\b Control, Option [...] keys:\
\b0 Mac OS X only notifies the application when the state of one of these keys changes, not when they are kept down. Besides, these keys are considered as key modifiers and should therefore not be used as a shorcut for a user action without another real key (ie. Control + E is fine, but not Control alone).\
\
\
\b Layout independant keys:
\b0 \
When SFML catches the key events, it gets a code corresponding to the key. But this code represents the key itself, not what's printed on, so a French and an English keyboard will produce \'97 considering you press a key located exactly at the same place \'97 the same key code, whichever your keyboard layout is. In order to get part of the thing work, some keys are guessed from the "text" field of the event and not from the key code. This is not quite a satisfying solution but nothing better has been found till now (need to do more research on this). If you want to be positive the received event is the right character, you should only use sf::TextEntered events.\
Note that since the key code originally represents the English keyboard layout, English user may not have to worry about this issue.
\b \
\b0 \
\
\b Resources' loading:\
\b0 1. When launched, any SFML application sets the current working directory to its Resources folder (<yourapp.app>/Contents/Resources). If your software is not a bundled application, the working directory is set to the directory containing your program. Therefore if you wish to load resources, you can safely use relative paths according to the previously described specifications.\
\
2. Setting the current working directory is done at executable loading time, before entering the main() function. However, if you define global variables like sf::Image objects and try to load the image at the object construction time, you can't know whether the working directory has already been set. Therefore you must load every resources after entering the main() function.\
\
\
\b OpenGL context attributes (settings):
\b0 \
SFML uses OpenGL context sharing in order to avoid loading the same resources more than once even if you have several SFML windows. This saves both memory and processing time but involves one major restriction (that seems to be particular to Mac OS X): shared contexts must have compatible attributes. One thing I'm going to focus on is the antialiasing level: you can't share contexts with different antialiasing levels. The point is SFML defines a global shared context, so if I choose to set no antialiasing for this context, antialiasing won't be usable for any other OpenGL context (and SFML window). On the other hand, I could define 2 (or whatever you want) antialiasing levels, but therefore every other contexts should use the same amount of antialiasing levels. As antialiasing is not a slight process for the graphic unit, it has been disabled. Dropping this feature seems to be a better solution than force its use.\
\
As far as the other attributes are concerned, it looks like they can be different. I did not test all of them, but I found out that some of them were altered because of too high values.\
\
\
\b OpenAL:\
\b0 You may notice that the package includes an OpenAL framework, but you may also know that Mac OS X already includes OpenAL (see /System/Library/Frameworks). This framework has been added in order to fix troubles caused by the OpenAL framework provided on Mac OS X 10.4. Since then, it is absolutely unnecessary to put it in your application bundle if you don't plan to distribute your software for Mac OS X 10.4.\
\
\
If you have any question, you can ask on the SFML forum: http://www.sfml-dev.org/forum/\
\
}

398
build/xcode/dist/autogen.sh vendored Executable file
View File

@ -0,0 +1,398 @@
#!/bin/sh
cd ../../../
SFML_VERSION="1.6"
OS="macosx"
ROOT_DIR=`pwd`
XCODE_C_ROOT_DIR="$ROOT_DIR/CSFML/xcode"
XCODE_CXX_ROOT_DIR="$ROOT_DIR/build/xcode"
XCODE_SAMPLES_ROOT_DIR="$ROOT_DIR/samples/build/xcode"
XCODE_FRAMEWORKS_PROJECT="SFML.xcodeproj"
XCODE_LIBRARIES_PROJECT="SFML-bare.xcodeproj"
XCODE_SAMPLES_PROJECT="samples.xcodeproj"
XCODE_BUILD_STYLE="Release"
XCODE_C_TARGETS=("SFML" "csfml-system" "csfml-network" "csfml-audio" "csfml-window" "csfml-graphics")
XCODE_CXX_TARGETS=("SFML" "sfml-system" "sfml-network" "sfml-audio" "sfml-window" "sfml-graphics")
XCODE_SAMPLES_DIR="$ROOT_DIR/samples/build/xcode"
TARGET_C_FRAMEWORKS_DIR="$ROOT_DIR/CSFML/lib"
TARGET_CXX_FRAMEWORKS_DIR="$ROOT_DIR/lib"
TARGET_CXX_SAMPLES_DIR="$ROOT_DIR/samples/bin"
PACKAGES_ROOT_DIR="$ROOT_DIR/dist"
CXX_SDK_PACKAGE="SFML-$SFML_VERSION-sdk-$OS"
CXX_DEV_PACKAGE="SFML-$SFML_VERSION-dev-$OS"
C_SDK_PACKAGE="SFML-$SFML_VERSION-c-sdk-$OS"
C_DEV_PACKAGE="SFML-$SFML_VERSION-c-dev-$OS"
PACKAGES_CXX_SDK_DIR="$PACKAGES_ROOT_DIR/$CXX_SDK_PACKAGE"
PACKAGES_CXX_DEV_DIR="$PACKAGES_ROOT_DIR/$CXX_DEV_PACKAGE"
PACKAGES_C_SDK_DIR="$PACKAGES_ROOT_DIR/$C_SDK_PACKAGE"
PACKAGES_C_SDK_SUB_DIR="$PACKAGES_ROOT_DIR/$C_SDK_PACKAGE/CSFML"
PACKAGES_C_DEV_DIR="$PACKAGES_ROOT_DIR/$C_DEV_PACKAGE"
PACKAGES_C_DEV_SUB_DIR="$PACKAGES_ROOT_DIR/$C_DEV_PACKAGE/CSFML"
CXX_SDK_DIRS=("build" "src" "include" "lib" "extlibs" "samples")
CXX_DEV_DIRS=("lib" "extlibs" "build/xcode/templates")
C_SDK_DIRS=("src" "include" "extlibs")
C_SDK_SUB_DIRS=("CSFML/xcode" "CSFML/src" "CSFML/include" "CSFML/lib")
C_DEV_DIRS=("extlibs")
C_DEV_SUB_DIRS=("CSFML/xcode/templates" "CSFML/lib")
# Checks that last command ended normally. Prints an error message and exists if not.
check_last_process()
{
if [ $? -eq 0 ]
then
if [ "$1" != "" ]
then
echo "$1"
fi
else
echo " *** Last process did not end properly. Process stopped."
exit 1
fi
}
# User help
print_usage()
{
echo "Usage: $0 [clean | build | build-samples | build-pkg | all]"
echo " Default shows this help"
echo
echo " clean\t\tdeletes all the intermediates object files and built frameworks"
echo " build\t\tcompiles all the C and C++ SFML frameworks"
echo " build-samples\tcompiles the SFML samples"
echo " build-pkg\t\tbuilds the Disk Image Files to be distributed"
echo " all\t\t\tdoes build, build-samples and build-pkg"
}
# Checks that the user computer can run this script
check_config()
{
if ! test -f "/Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp"
then
echo "Missing tool pbxcp needed by this script (should be located at /Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp). Make sure Apple Developer Tools are correctly installed."
exit 1
fi
if ! test -f "/usr/bin/xcodebuild"
then
echo "Missing tool xcodebuild needed by this script (should be located at /usr/bin/xcodebuild). Make sure Apple Developer Tools are correctly installed."
exit 1
fi
sdk=`xcodebuild -showsdks | grep "Mac OS X 10.4"`
if [ "$sdk" == "" ]
then
echo "Missing Mac OS X 10.4 SDK needed by SFML. Please install it."
exit 1
fi
}
# Makes a directory if needed
make_dir()
{
if ! test -d "$1"
then
mkdir -p "$1"
fi
}
# Checks that a directory exists and removes it
remove_dir()
{
if test -d "$1"
then
rm -rfv "$1" > /dev/null
fi
}
# Moves a directory, removing the destination before moving if already existing
move_dir()
{
remove_dir "$2"
check_last_process
make_dir "$2/.."
check_last_process
mv "$1" "$2"
check_last_process
}
copy()
{
/Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp -exclude .DS_Store -exclude .svn -exclude codeblocks -exclude *vc2005 -exclude *vc2008 -exclude *mingw -exclude Makefile -exclude Main -exclude "Template for new ports" -exclude Linux -exclude Win32 -exclude win32 -exclude *.build -exclude *.dll -exclude *.dSYM -exclude qt -exclude wxwidgets -exclude X11 -exclude lucas* -strip-debug-symbols -resolve-src-symlinks "$1" "$2"
}
# Delete built frameworks and intermediate object files
clean_all()
{
cd "$ROOT_DIR"
# Process cleaning for C++ project
printf "Cleaning C++ products..."
if test -d "$XCODE_CXX_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT"
then
cd "$XCODE_CXX_ROOT_DIR"
xcodebuild -project "$XCODE_FRAMEWORKS_PROJECT" -target "All" -configuration "$XCODE_BUILD_STYLE" clean > /dev/null
check_last_process " done"
else
echo "*** Missing file $XCODE_CXX_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT. Process stopped."
exit 1
fi
# Process cleaning for C project
printf "Cleaning C products..."
if test -d "$XCODE_C_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT"
then
cd "$XCODE_C_ROOT_DIR"
xcodebuild -project "$XCODE_FRAMEWORKS_PROJECT" -target "All" -configuration "$XCODE_BUILD_STYLE" clean > /dev/null
check_last_process " done"
else
echo "*** Missing file $XCODE_C_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT. Process stopped."
exit 1
fi
# Process cleaning for samples
printf "Cleaning samples..."
if test -d "$XCODE_SAMPLES_ROOT_DIR/$XCODE_SAMPLES_PROJECT"
then
cd "$XCODE_SAMPLES_ROOT_DIR"
xcodebuild -project "$XCODE_SAMPLES_PROJECT" -target "All" -configuration "$XCODE_BUILD_STYLE" clean > /dev/null
check_last_process " done"
else
echo "*** Missing file $XCODE_SAMPLES_ROOT_DIR/$XCODE_SAMPLES_PROJECT. Process stopped."
exit 1
fi
# Process cleaning for packages
printf "Removing packages..."
remove_dir "$PACKAGES_ROOT_DIR"
check_last_process " done"
}
# Build C and C++ frameworks
build_frameworks()
{
# Go into the C++ project directory
cd "$XCODE_CXX_ROOT_DIR"
check_last_process
echo "Building C++ SFML frameworks in $XCODE_BUILD_STYLE mode..."
if test -d "$XCODE_CXX_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT"
then
# Build every C++ target (building manually each target to be able to show progress)
for target in ${XCODE_CXX_TARGETS[@]}
do
printf "Building $target framework..."
xcodebuild -project "$XCODE_FRAMEWORKS_PROJECT" -target "$target" -parallelizeTargets -configuration "$XCODE_BUILD_STYLE" build > /dev/null
check_last_process " done"
done
echo "All C++ SFML frameworks built."
else
echo "*** Missing file $XCODE_CXX_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT. Process stopped."
exit 1
fi
# Go into the C project directory
cd "$XCODE_C_ROOT_DIR"
check_last_process
echo "Building C SFML frameworks in $XCODE_BUILD_STYLE mode..."
if test -d "$XCODE_C_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT"
then
# Build every C target
for target in ${XCODE_C_TARGETS[@]}
do
printf "Building $target framework..."
xcodebuild -project "$XCODE_FRAMEWORKS_PROJECT" -target "$target" -parallelizeTargets -configuration "$XCODE_BUILD_STYLE" build > /dev/null
check_last_process " done"
done
echo "All C SFML frameworks built."
else
echo "*** Missing file $XCODE_C_ROOT_DIR/$XCODE_FRAMEWORKS_PROJECT. Process stopped."
exit 1
fi
}
# Build the samples
build_samples()
{
# Go into the samples project directory
cd "$XCODE_SAMPLES_DIR"
check_last_process
printf "Building SFML samples in $XCODE_BUILD_STYLE mode..."
if test -d "$XCODE_SAMPLES_DIR/$XCODE_SAMPLES_PROJECT"
then
# Build the samples
xcodebuild -project "$XCODE_SAMPLES_PROJECT" -target "All" -parallelizeTargets -configuration "$XCODE_BUILD_STYLE" build > /dev/null
check_last_process " done"
echo "In order to run the samples, the SFML frameworks (located in \"lib\") must be copied in the /Library/Frameworks directory." > "$TARGET_CXX_SAMPLES_DIR/README"
check_last_process
else
echo "*** Missing file $XCODE_SAMPLES_DIR/$XCODE_SAMPLES_PROJECT. Process stopped."
exit 1
fi
}
# Build the disk image files of the C and C++ Dev and SDK packages
build_packages()
{
cd "$ROOT_DIR"
make_dir "$PACKAGES_ROOT_DIR"
# Build the C++ SDK package
printf "Building C++ SDK package..."
make_dir "$PACKAGES_CXX_SDK_DIR"
for dir in ${CXX_SDK_DIRS[@]}
do
copy "$ROOT_DIR/$dir" "$PACKAGES_CXX_SDK_DIR"
check_last_process
done
# Build the disk image file
hdiutil create -ov -format UDBZ -volname "$CXX_SDK_PACKAGE" -srcfolder "$PACKAGES_CXX_SDK_DIR" "$PACKAGES_ROOT_DIR/$CXX_SDK_PACKAGE.dmg" > /dev/null
check_last_process " done"
# Build the C++ Dev package
printf "Building C++ Development package..."
make_dir "$PACKAGES_CXX_DEV_DIR"
for dir in ${CXX_DEV_DIRS[@]}
do
copy "$ROOT_DIR/$dir" "$PACKAGES_CXX_DEV_DIR"
check_last_process
case $dir in
"build/xcode/templates")
# Special consideration for the templates folder that is to be moved in build/xcode
move_dir "$PACKAGES_CXX_DEV_DIR/templates" "$PACKAGES_CXX_DEV_DIR/build/xcode"
check_last_process
;;
"extlibs")
# Drop the libs-xcode and headers directories
remove_dir "$PACKAGES_CXX_DEV_DIR/extlibs/libs-xcode"
check_last_process
remove_dir "$PACKAGES_CXX_DEV_DIR/extlibs/headers"
check_last_process
;;
*)
;;
esac
done
# Build the disk image file
hdiutil create -ov -format UDBZ -volname "$CXX_DEV_PACKAGE" -srcfolder "$PACKAGES_CXX_DEV_DIR" "$PACKAGES_ROOT_DIR/$CXX_DEV_PACKAGE.dmg" > /dev/null
check_last_process " done"
# Build the C SDK package
printf "Building C SDK package..."
make_dir "$PACKAGES_C_SDK_DIR"
for dir in ${C_SDK_DIRS[@]}
do
copy "$ROOT_DIR/$dir" "$PACKAGES_C_SDK_DIR"
check_last_process
done
make_dir "$PACKAGES_C_SDK_SUB_DIR"
for dir in ${C_SDK_SUB_DIRS[@]}
do
copy "$ROOT_DIR/$dir" "$PACKAGES_C_SDK_SUB_DIR"
check_last_process
done
# Build the disk image file
hdiutil create -ov -format UDBZ -volname "$C_SDK_PACKAGE" -srcfolder "$PACKAGES_C_SDK_DIR" "$PACKAGES_ROOT_DIR/$C_SDK_PACKAGE.dmg" > /dev/null
check_last_process " done"
# Build the C Development package
printf "Building C Development package..."
make_dir "$PACKAGES_C_DEV_DIR"
for dir in ${C_DEV_DIRS[@]}
do
copy "$ROOT_DIR/$dir" "$PACKAGES_C_DEV_DIR"
check_last_process
case $dir in
"extlibs")
# Drop the libs-xcode and headers directories
remove_dir "$PACKAGES_C_DEV_DIR/extlibs/libs-xcode"
check_last_process
remove_dir "$PACKAGES_C_DEV_DIR/extlibs/headers"
check_last_process
;;
esac
done
make_dir "$PACKAGES_C_DEV_SUB_DIR"
for dir in ${C_DEV_SUB_DIRS[@]}
do
copy "$ROOT_DIR/$dir" "$PACKAGES_C_DEV_SUB_DIR"
check_last_process
case $dir in
"CSFML/xcode/templates")
# Special consideration for the templates folder that is to be moved in build/xcode
move_dir "$PACKAGES_C_DEV_DIR/CSFML/templates" "$PACKAGES_C_DEV_DIR/CSFML/xcode"
check_last_process
;;
esac
done
# Build the disk image file
hdiutil create -ov -format UDBZ -volname "$C_DEV_PACKAGE" -srcfolder "$PACKAGES_C_DEV_DIR" "$PACKAGES_ROOT_DIR/$C_DEV_PACKAGE.dmg" > /dev/null
check_last_process " done"
}
main()
{
# First make sure the user will be able to run the script
check_config
# Check which action the user wants to execute (default is help)
action="help"
if test "$1" != ""
then
action="$1"
fi
case $action in
"clean")
clean_all $*
;;
"build")
build_frameworks $*
;;
"build-samples")
build_samples $*
;;
"build-pkg")
build_packages $*
;;
"all")
build_frameworks $*
build_samples $*
build_packages $*
;;
"-h")
print_usage $*
;;
"--help")
print_usage $*
;;
"help")
print_usage $*
;;
*)
echo "Unknow action $action."
print_usage $*
;;
esac
}
main $*

38
build/xcode/dist/license.txt vendored Normal file
View File

@ -0,0 +1,38 @@
SFML
----
SFML - Copyright (c) 2007-2009 Laurent Gomila - laurent.gom@gmail.com
This software is provided 'as-is', without any express or
implied warranty. In no event will the authors be held
liable for any damages arising from the use of this software.
Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute
it freely, subject to the following restrictions:
1. The origin of this software must not be misrepresented;
you must not claim that you wrote the original software.
If you use this software in a product, an acknowledgment
in the product documentation would be appreciated but
is not required.
2. Altered source versions must be plainly marked as such,
and must not be misrepresented as being the original software.
3. This notice may not be removed or altered from any
source distribution.
External libraries used by SFML
-------------------------------
* OpenAL-Soft is under the LGPL license
* libsndfile is under the LGPL license
* stb_vorbis is public domain
* libjpeg is public domain
* libpng is under the zlib/png license
* zlib is under the zlib/png license
* SOIL is public domain
* freetype is under the FreeType license or the GPL license